Skip to main content
PUT
/
contract
/
v1
/
employee-compensations
/
{salaryCompensationId}
Update an employee compensation assignment
curl --request PUT \
  --url https://api-{region}.sesametime.com/contract/v1/employee-compensations/{salaryCompensationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "startDate": "2024-01-15",
  "endDate": "2024-12-31"
}
'
This response has no body data.

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Path Parameters

salaryCompensationId
string<uuid>
required

The salary-compensation assignment ID

Body

application/json
startDate
string<date>
required

Assignment start date (Y-m-d)

Example:

"2024-01-15"

endDate
string<date> | null

Assignment end date (Y-m-d), optional

Example:

"2024-12-31"

Response